// src/Elecciones.Core/DTOs/TokenResponse.cs
using System.Text.Json.Serialization;

namespace Elecciones.Core.DTOs;

public class TokenResponse
{
    [JsonPropertyName("success")]
    public bool Success { get; set; }

    [JsonPropertyName("message")]
    public string Message { get; set; } = null!;

    [JsonPropertyName("data")]
    public TokenData? Data { get; set; }

    [JsonPropertyName("error")]
    public string? Error { get; set; }
}